Your submission was sent successfully! Close

CVE-2014-2573

Published: 25 March 2014

The VMWare driver in OpenStack Compute (Nova) 2013.2 through 2013.2.2 does not properly put VMs into RESCUE status, which allows remote authenticated users to bypass the quota limit and cause a denial of service (resource consumption) by requesting the VM be put into rescue and then deleting the image.

Priority

Negligible

Status

Package Release Status
nova
Launchpad, Ubuntu, Debian
lucid Does not exist

precise Not vulnerable
(code not present)
saucy Ignored
(reached end-of-life)
trusty Does not exist
(trusty was not-affected [1:2014.1.1-0ubuntu1])
upstream
Released (2014.1.1)
utopic Not vulnerable
(1:2014.2~b2-0ubuntu1)

Notes

AuthorNote
jdstrand
requires use with unsupported VMware ESX driver. This is not
compiled in to libvirt in the Ubuntu archive, which makes this code path
unavailable in Ubuntu

References